Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041125
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2019-06-19 11:272019-06-24 17:01
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisioncc69089bb438
ProjectionnoneETAnoneTarget Version3.0PR19Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2019-04-18
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/08db5ae97ad2b0fb0c4499b630018a9bc0c0166f [^]
Triggers an Emergency PackNo
Summary

0041125: Not possible to install modules with MMC having XSL processor in classpath which does not support all the standard attributes

DescriptionIf there is an XSL processor library in the classpath that provides a TrasnformerFactory implementation which is not able to handle the standard attributes configured in XMLUtil class, then this class is not able to provide a TransformerFactory instance.

Under this scenario, those parts of the application (like the MMC) that use XMLUtil to retrieve a TransformerFactory will not work properly.
Steps To Reproduce0) Copy the following libraries[1],[2] into lib/runtime folder and run ant compile.complete
1) Login
2) Go to the MMC window and try to install any module. The attached error will be shown.


[1] https://mvnrepository.com/artifact/xalan/xalan/2.7.1 [^]
[2] https://mvnrepository.com/artifact/xalan/serializer/2.7.1 [^]
Proposed SolutionCatch the IllegalArgumentException thrown when the attribute is not recognized. See: https://docs.oracle.com/javase/tutorial/jaxp/properties/usingProps.html [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0041124 closedcaristu Not possible to install modules with MMC having XSL processor in classpath which does not support all the standard attributes 

-  Notes
(0112890)
hgbot (developer)
2019-06-19 13:01

Repository: erp/backports/3.0PR19Q2.1
Changeset: cc69089bb4382dd93d74922c18649b0e8e778cdd
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jun 19 12:56:53 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/cc69089bb4382dd93d74922c18649b0e8e778cdd [^]

fixes bug 41125: Don't fail if can't set a TransformerFactory attribute

  In case the TransformerFactory underlying implementation does not recognize an attribute, do not fail and handle the error showing a warning message.

---
M src/org/openbravo/dal/xml/XMLUtil.java
---
(0112981)
AugustoMauch (developer)
2019-06-24 17:01

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-06-19 11:30 caristu Type defect => backport
2019-06-19 11:30 caristu Target Version => 3.0PR19Q2.1
2019-06-19 13:01 hgbot Checkin
2019-06-19 13:01 hgbot Note Added: 0112890
2019-06-19 13:01 hgbot Status scheduled => resolved
2019-06-19 13:01 hgbot Resolution open => fixed
2019-06-19 13:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/cc69089bb4382dd93d74922c18649b0e8e778cdd [^]
2019-06-19 13:01 caristu Review Assigned To => AugustoMauch
2019-06-19 13:06 caristu Proposed Solution updated
2019-06-24 17:01 AugustoMauch Note Added: 0112981
2019-06-24 17:01 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker